JGraph X 1.3.0.0

## com.mxgraph.analysis
Class mxUnionFind.Node

    java.lang.Object
      com.mxgraph.analysis.mxUnionFind.Node

Enclosing class:
  mxUnionFind

    public class mxUnionFind.Node

extends java.lang.Object

A class that defines the identity of a set.

Field Summary
`protected mxUnionFind.Node` `parent` Reference to the parent node.
`protected int` `size` The size of the tree.

Constructor Summary
`mxUnionFind.Node()`

Method Summary
`mxUnionFind.Node` `getParent()`
`int` `getSize()`
`void` `setParent(mxUnionFind.Node parent)`
`void` `setSize(int size)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    protected mxUnionFind.Node parent

  Reference to the parent node. Root nodes point to themselves.

### size

    protected int size

  The size of the tree. Initial value is 1.

Constructor Detail

### mxUnionFind.Node

    public mxUnionFind.Node()

Method Detail

### getParent

    public mxUnionFind.Node getParent()

  Returns:
    Returns the parent node

### setParent

    public void setParent(mxUnionFind.Node parent)

  Parameters:
    `parent` - The parent node to set.

### getSize

    public int getSize()

  Returns:
    Returns the size.

### setSize

    public void setSize(int size)

  Parameters:
    `size` - The size to set.

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.